Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1123690 - Review Request: httraqt - HTTrack Qt GUI
Summary: Review Request: httraqt - HTTrack Qt GUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Ready
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-07-28 01:12 UTC by Christopher Meng
Modified: 2014-08-28 15:35 UTC (History)
3 users (show)

Fixed In Version: httraqt-1.4.4-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-28 15:35:04 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-07-28 01:12:09 UTC
Spec URL: http://us-la.cicku.me/httraqt.spec
SRPM URL: http://us-la.cicku.me/httraqt-1.4.4-1.fc22.src.rpm
Description: HTTraQt is the clone from WinHTTrack, software for downloading of internet sites or/and content of their: multimedia files, documents, images, etc.

Features:
* Possible to easy switch the language of GUI,
* Easy to add the language files without to change the program code.
* Selection of browser little bit changed: possible to select browser and 
system of "User Agent".
* Extended the selectiing of file extensions under "Rulez" settings.
Fedora Account System Username: cicku

Comment 1 Rex Dieter 2014-08-07 19:18:02 UTC
rawhide Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7255913

failed, looks like missing
BuildRequires: openssl-devel
(at least)

/usr/include/httrack/htsbasenet.h:76:25: fatal error: openssl/ssl.h: No such file or directory

Well, as a workaround, that looks more like a httrack packaging bug (ie, httrack-devel should Requires: openssl-devel)

Comment 2 Rex Dieter 2014-08-07 19:27:29 UTC
.spec is simple and clean

naming: ok

1. license: NOT ok,  MUST be
License: GPLv3 (not GPLv3+)

per this header text...
 * HTTraQt is free software; may be distributed and/or modified under the  *
 * terms of the GNU General Public License version 3 as published by the   *
 * Free Software Foundation and appearing in the file LICENSE_GPLv3        *
 * included in the packaging of this file.                                 *

scriptlets: ok

2. dir ownership: SHOULD consider adding
Requires: hicolor-icon-theme
for directory ownership of %{_datadir}/icons/hicolor/

3. sources: NOT ok
spectool -g *.spec
...
curl: (22) The requested URL returned error: 404 Not Found
MUST use
http://downloads.sourceforge.net/project/httraqt/httraqt-%{version}.tar.gz
instead per
https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Sourceforge.net

Comment 3 Christopher Meng 2014-08-08 01:39:04 UTC
NEW SPEC URL: http://us-la.cicku.me/httraqt.spec
NEW SRPM URL: http://us-la.cicku.me/httraqt-1.4.4-2.fc22.src.rpm

Comment 4 Rex Dieter 2014-08-08 13:23:02 UTC
Thanks, looks good, APPROVED.

Comment 5 Christopher Meng 2014-08-15 08:34:29 UTC
New Package SCM Request
=======================
Package Name: httraqt
Short Description: HTTrack Qt GUI
Upstream URL: http://httraqt.sourceforge.net/
Owners: cicku
Branches: f19 f20 f21 el6 epel7

Comment 6 Gwyn Ciesla 2014-08-15 11:51:42 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-08-18 04:48:33 UTC
httraqt-1.4.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/httraqt-1.4.4-2.fc20

Comment 8 Fedora Update System 2014-08-19 07:07:44 UTC
httraqt-1.4.4-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-08-28 15:35:04 UTC
httraqt-1.4.4-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.